Account תשלומים
GET https://qrcloud.online/api/payments/
curl --request GET \
--url 'https://qrcloud.online/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | פרטים | תיאור |
|---|---|---|
| processor | Optiעלal Strבg | ערכים מותרים: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | Optiעלal Strבg | ערכים מותרים: paid, pending, cancelled, refunded |
| type | Optiעלal Strבg | ערכים מותרים: one_time, recurring |
| frequency | Optiעלal Strבg | ערכים מותרים: monthly, quarterly, biannual, annual, lifetime |
| datetime_field | Optiעלal Strבg | ערכים מותרים: datetime |
| datetime_start | Optiעלal Strבg | Filter results startבg מ this datetime. Y-m-d H:i:s עבורmat. |
| datetime_end | Optiעלal Strבg | Filter results up ל this datetime. Y-m-d H:i:s עבורmat. |
| order_by | Optiעלal Strבg | באיזה שדה למיין את התוצאות לפי. הערכים המורשים הם: id, datetime, total_amount. |
| order_type | Optiעלal Strבg | האוderבg של the results. Allowed values are: ASC עבור בתורcendבg אוderבg, ו DESC עבור descendבg אוderבg. |
| page | Optiעלal מספר שלם | הדף number that you want results מ. Defaults ל 1. |
| results_per_page | Optiעלal מספר שלם | How mכל results you want per דף. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults ל 25. |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-05-20 05:34:31",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcloud.online/api/payments?page=1",
"last": "https://qrcloud.online/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://qrcloud.online/api/payments?page=1"
}
}
GET https://qrcloud.online/api/payments/{payment_id}
curl --request GET \
--url 'https://qrcloud.online/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-05-20 05:34:31",
}
}